Module javafx.base
Package javafx.beans.property

# Class SimpleBooleanProperty

java.lang.Object
javafx.beans.binding.BooleanExpression
javafx.beans.property.ReadOnlyBooleanProperty
javafx.beans.property.BooleanProperty
javafx.beans.property.BooleanPropertyBase
javafx.beans.property.SimpleBooleanProperty

All Implemented Interfaces:
  `Observable`, `Property<Boolean>`, `ReadOnlyProperty<Boolean>`, `ObservableBooleanValue`, `ObservableValue<Boolean>`, `WritableBooleanValue`, `WritableValue<Boolean>`

Direct Known Subclasses:
  `ReadOnlyBooleanWrapper`

    public class SimpleBooleanProperty
    extends BooleanPropertyBase

This class provides a full implementation of a `Property` wrapping a `boolean` value.

Since:
  JavaFX 2.0
See Also:
  `BooleanPropertyBase`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SimpleBooleanProperty()` | The constructor of `BooleanProperty`
  `SimpleBooleanProperty​(boolean initialValue)` | The constructor of `BooleanProperty`
  `SimpleBooleanProperty​(Object bean, String name)` | The constructor of `BooleanProperty`
  `SimpleBooleanProperty​(Object bean, String name, boolean initialValue)` | The constructor of `BooleanProperty`

- ## Method Summary

  ### Methods declared in class javafx.beans.property.BooleanPropertyBase

  `bind, fireValueChangedEvent, invalidated, toString`

  ### Methods declared in class javafx.beans.property.BooleanProperty

  `asObject, booleanProperty`

  ### Methods declared in class javafx.beans.property.ReadOnlyBooleanProperty

  `readOnlyBooleanProperty`

  ### Methods declared in class javafx.beans.binding.BooleanExpression

  `and, asString, booleanExpression, booleanExpression, isEqualTo, isNotEqualTo, not, or`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableBooleanValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.Property

  `bindBidirectional, isBound, unbind, unbindBidirectional`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.beans.value.WritableBooleanValue

  `get, set, setValue`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### SimpleBooleanProperty

    public SimpleBooleanProperty()
    The constructor of `BooleanProperty`

  - ### SimpleBooleanProperty

    public SimpleBooleanProperty​(boolean initialValue)
    The constructor of `BooleanProperty`
    Parameters:
      `initialValue` - the initial value of the wrapped value

  - ### SimpleBooleanProperty

    public SimpleBooleanProperty​(Object bean, String name)
    The constructor of `BooleanProperty`
    Parameters:
      `bean` - the bean of this `BooleanProperty`
      `name` - the name of this `BooleanProperty`

  - ### SimpleBooleanProperty

    public SimpleBooleanProperty​(Object bean, String name, boolean initialValue)
    The constructor of `BooleanProperty`
    Parameters:
      `bean` - the bean of this `BooleanProperty`
      `name` - the name of this `BooleanProperty`
      `initialValue` - the initial value of the wrapped value